Home
Release Notes
Home
Release Notes
Linkedin
  1. Balance
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
          GET
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Calculate receiving amount
        • Validate Account
      • Reconciliation
        • Reconciliation
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Balance

Get Current Balance

GET
/core/v1/services/{service_id}/balance
The endpoint retrieves the balance information for a specific service identified by the service_id.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/core/v1/services/1/balance' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "balance": 500.00,
            "balance_date": "10-Sep-2025 10:00 AM",
            "currency_description": "QAR"
        },
        {
            "balance": 800.00,
            "balance_date": "30-Jul-2024 10:55 AM",
            "currency_description": "EUR"
        }
    ],
    "errors": null
}
Previous
Exchange Rates
Next
Generate Secret
Built with